/* Footer */
footer {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  background: var(--char);
}
footer .p3,
footer .p4 {
  color: var(--fog);
}

footer .container {
  background: var(--char);
  color: var(--fog);
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 5rem 0;
}

.footerLogo {
  width: 8.75rem;
  margin: 0.25rem 0 1.25rem 0;
}

footer h2:first-of-type {
  margin-bottom: 1rem;
}
footer a:hover {
  text-decoration: underline;
}
.social a:hover {
  text-decoration: none;
}

.footer__left {
  text-align: center;
}

.social {
  display: flex;
  column-gap: 1rem;
  margin-bottom: 2rem;
  box-sizing: border-box;
}

.social a {
  width: 3rem;
  height: 3rem;
  box-sizing: border-box;
}

.social > a > img {
  width: 3rem;
  height: 3rem;
}

footer ul {
  padding: 0;
}

.footer__company,
.footer__contact,
.footer__pros {
  align-items: center;
  display: flex;
  flex-direction: column;
  margin-bottom: 2rem;
}

footer li {
  margin-bottom: 1rem;
}

.footer__row a {
  margin-left: 0;
}

/* Turn off until we can give links targets */

.footer__company ul,
.footer__contact ul,
.footer__pros ul {
  align-items: center;
  display: flex;
  flex-direction: column;
}

.footer__details {
  border-top: 2px solid var(--ash);
  font-size: 0.75rem;
  padding-top: 3rem;
}

.footer__details ul {
  text-align: center;
}

.footer__details ul li {
  margin-bottom: 1rem;
}

.footer__details ul li:last-of-type {
  margin-bottom: 2rem;
}

.align-right {
  justify-content: end;
}

.footerContactInfo {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 8px;
}

.footerAddress {
  margin-bottom: 2rem;
}

.footerContactInfo .p3 {
  margin: 16px 0;
}
.wrapmateHQMobile {
  display: block;
  margin-top: 0;
}
.wrapmateHQDesktop {
  display: none;
}

.footer__details-redirects {
  display: flex;
  flex-direction: row;
  justify-content: center;
  max-height: 1.5rem;
}
.footer__details-redirects li:first-of-type {
  border-right: 1px solid var(--fog);
  height: 1.25rem;
  margin-right: 1rem;
  padding-right: 1rem;
}
.tabletFooter {
  display: none;
}

/* Responsive */

@media (min-width: 768px) {
  footer .container {
    display: none;
  }
  .tabletFooter {
    display: flex;
    min-height: 38rem;
    padding: 5rem 0;
    flex-direction: row;
    justify-content: flex-start;
    width: 100%;
  }
  .tabletFooterContact {
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }
  .footerContactInfo {
    flex-direction: row;
    justify-content: start;
  }
  .tabletFooterContact .footer__left,
  .tabletFooterContactLinks {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    text-align: start;
    padding-left: 3rem;
  }
  .tabletFooterContactLinks ul {
    border-top: 2px solid var(--ash);
    padding-top: 2rem;
  }
  .tabletFooter .footer__details-redirects {
    justify-content: flex-start;
  }

  .tabletFooterLinks {
    width: 45%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin-left: 3rem;
  }
  .tabletFooter .footer__contact,
  .tabletFooter .footer__company,
  .tabletFooter .footer__pros {
    width: 9.5rem;
  }
  .social {
    margin-bottom: 4rem;
  }
  .tabletFooter .footer__contact {
    margin-left: 1.5rem;
  }
  footer li,
  footer h2:first-of-type {
    margin-bottom: 1.5rem;
  }
  .tabletFooter li,
  .tabletFooter p {
    color: var(--fog);
  }
  .tabletFooterContactLinks {
    font-size: 0.75rem;
  }
  .tabletFooter .footerLogo {
    margin: 0.25rem 0 1rem 0;
  }
}

@media (min-width: 1024px) {
  footer .container {
    display: flex;
  }
  .tabletFooter {
    display: none;
  }
  footer .container {
    display: grid;
    grid-template-rows: fit-content(100%) fit-content(100%);
    width: 75%;
  }
  .footer__left {
    text-align: left;
    width: 50%;
  }
  .footer__left h2 {
    text-align: left;
  }
  .footer__row {
    display: flex;
  }
  .footer__company,
  .footer__contact,
  .footer__pros {
    align-items: flex-start;
    margin-left: auto;
    width: 9.5rem;
  }
  .footer__company ul,
  .footer__contact ul,
  .footer__pros ul {
    align-items: flex-start;
  }
  .footer__details {
    display: flex;
    justify-content: space-between;
  }
  .footer__details p {
    margin: 0;
  }
  .footer__details ul {
    display: inline-flex;
  }
  .footer__details ul li {
    border-right: 1px solid var(--fog);
    height: 1rem;
    margin-right: 1rem;
    padding-right: 1rem;
  }
  .footer__details ul li:last-of-type {
    margin-right: 0;
    padding-right: 0;
    border: none;
  }
  .footer__company li,
  .footer__contact li,
  .footer__pros li {
    margin: 0.5rem 0;
  }
  .wrapmateHQMobile {
    display: none;
  }
  .wrapmateHQDesktop {
    display: block;
  }
}

@media (max-width: 640px) {
  .footer__company ul li,
  .footer__contact ul li,
  .footer__pros ul li {
    margin-bottom: 1rem;
  }
}
